%define name	devicekit-power
%define oname	DeviceKit-power
%define version	010
%define release	%mkrel 2
%define major 1
%define libname %mklibname devkit-power-gobject %major
%define develname %mklibname -d devkit-power-gobject

%define git_url git://anongit.freedesktop.org/DeviceKit/DeviceKit-power

Name: %name
Version: %version
Release: %release
Summary: Power Management Service
License: GPLv2+
Group: System/Kernel and hardware
URL: http://gitweb.freedesktop.org/?p=users/david/DeviceKit.git;a=summary
Source0: http://hal.freedesktop.org/releases/%{oname}-%{version}.tar.gz
BuildRoot: %_tmppath/%name-%version-%release-root
Provides: %oname = %{version}-%{release}
BuildRequires: libgudev-devel
BuildRequires: glib2-devel 
BuildRequires: dbus-devel 
BuildRequires: dbus-glib-devel
BuildRequires: polkit-1-devel >= 0.91
BuildRequires: sqlite-devel
BuildRequires: libtool
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: libusb-devel
BuildRequires: libxslt-proc
BuildRequires: docbook-style-xsl
BuildRequires: gtk-doc >= 1.3
Requires: pm-utils

%description
DeviceKit-power provides a daemon, API and command line tools for
managing power devices attached to the system.

%package -n %libname
Summary: Shared Library of DeviceKit-power
Group: System/Libraries
Requires: %name >= %version-%release
Conflicts: %name < 008-2mdv

%description -n %libname
DeviceKit-power provides a daemon, API and command line tools for
managing power devices attached to the system.


%package -n %develname
Summary: Headers and libraries for DeviceKit-power
Group: Development/C
Provides: %{oname}-devel = %{version}-%{release}
Provides: %name-devel = %version-%release
Obsoletes: %name-devel
Requires: %{name} = %{version}
Requires: %libname = %version-%release
#gw libtool dep
Requires: libusb-devel

%description -n %develname
Headers and libraries for DeviceKit-power.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%doc README AUTHORS NEWS COPYING HACKING doc/TODO

%{_sysconfdir}/dbus-1/system.d/*.conf
/lib/udev/rules.d/*.rules

%{_bindir}/*
%{_libdir}/devkit-power-daemon

%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/dbus-1/system-services/*.service

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/libdevkit-power-gobject.so.%{major}*

%files -n %develname
%{_datadir}/dbus-1/interfaces/*.xml
%dir %{_datadir}/gtk-doc/html/devkit-power
%{_datadir}/gtk-doc/html/devkit-power/*
%{_includedir}/DeviceKit-power/devkit-power-gobject/
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 010-2mdv2010.0
+ Revision: 439066
- fix build deps

* Mon Jul 27 2009 Frederic Crozat <fcrozat@mandriva.com> 010-1mdv2010.0
+ Revision: 400627
- Release 010

* Mon Jul 06 2009 Frederik Himpe <fhimpe@mandriva.org> 009-1mdv2010.0
+ Revision: 392982
- Update to new version 009 (now installs udev rules in /lib/udev/rules.d/)

* Thu Jun 04 2009 Götz Waschk <waschk@mandriva.org> 008-2mdv2010.0
+ Revision: 382638
- split out library package
- fix devel dep

* Wed Jun 03 2009 Pascal Terjan <pterjan@mandriva.org> 008-1mdv2010.0
+ Revision: 382420
- Update to 008

* Thu Mar 26 2009 Frederic Crozat <fcrozat@mandriva.com> 006-2mdv2009.1
+ Revision: 361369
- Patch1: fix dbus warnings when using g-p-m

* Thu Mar 05 2009 Frederic Crozat <fcrozat@mandriva.com> 006-1mdv2009.1
+ Revision: 349034
- Release 006
- Patch0 (GIT): fix dbus interface usage for CVE 2008-4311

* Wed Jan 28 2009 Pascal Terjan <pterjan@mandriva.org> 004-2mdv2009.1
+ Revision: 335041
- Lower requirements

* Wed Jan 28 2009 Pascal Terjan <pterjan@mandriva.org> 004-1mdv2009.1
+ Revision: 334967
- import devicekit-power


* Mon Jan 26 2009 Pascal Terjan <pterjan@mandriva.org> 004-1mdv2009.1
- Adapt for Mandriva
- Update to 004

* Tue Dec 09 2008 Richard Hughes <richard@hughsie.com> 003-1
- Update to 003

* Sat Sep 06 2008 Richard Hughes <richard@hughsie.com> 001-2
- Fix the licence, and some directory ownership issues for the review request

* Tue Sep 02 2008 Richard Hughes <richard@hughsie.com> 001-1
- Initial spec file

